aboutsummaryrefslogtreecommitdiffstats
path: root/recipes-support/puppet
diff options
context:
space:
mode:
authorMark Asselstine <mark.asselstine@windriver.com>2015-08-19 22:56:12 -0400
committerBruce Ashfield <bruce.ashfield@windriver.com>2015-08-20 13:38:48 -0400
commitdcb148f4ccfa5896ebffaf4eb8b76a9999173faa (patch)
treeb376b8657920baa442dea48b28d7580843b1d21c /recipes-support/puppet
parent1aa30310259027ebb87ee95ef914ca3de55d6a09 (diff)
downloadmeta-cloud-services-dcb148f4ccfa5896ebffaf4eb8b76a9999173faa.tar.gz
meta-cloud-services-dcb148f4ccfa5896ebffaf4eb8b76a9999173faa.tar.bz2
meta-cloud-services-dcb148f4ccfa5896ebffaf4eb8b76a9999173faa.zip
puppet: fixup QA warning
Currently we get the following warning when building puppet: WARNING: QA Issue: /usr/lib/ruby/gems/2.2.0/gems/puppet-3.7.3/ lib/puppet/vendor/safe@underscore@yaml/run@underscore@specs@ underscore@all@underscore@ruby@underscore@versions.sh_puppet contained in package puppet requires /bin/bash, but no providers found in its RDEPENDS [file-rdeps] Adding 'bash' as an RDEPENDS fixes this. Signed-off-by: Mark Asselstine <mark.asselstine@windriver.com> Signed-off-by: Bruce Ashfield <bruce.ashfield@windriver.com>
Diffstat (limited to 'recipes-support/puppet')
-rw-r--r--recipes-support/puppet/puppet_3.7.3.bb1
1 files changed, 1 insertions, 0 deletions
diff --git a/recipes-support/puppet/puppet_3.7.3.bb b/recipes-support/puppet/puppet_3.7.3.bb
index c1743e6..14e18d9 100644
--- a/recipes-support/puppet/puppet_3.7.3.bb
+++ b/recipes-support/puppet/puppet_3.7.3.bb
@@ -24,6 +24,7 @@ RDEPENDS_${PN} += " \
facter \
hiera \
ruby-shadow \
+ bash \
"
RUBY_INSTALL_GEMS = "puppet-${PV}.gem"